<?php

class PmlinkController extends BackendController
{
    protected $actionPrefix = 'admin.controllers.Pmlink.';

    protected $actionMap = array(
        'list' => 'ListAction',
        'update' => 'UpdateAction',
        'delete' => 'DeleteAction',
        'create' => 'CreateAction',
    );

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='pmlink-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
